package com.goafanti.cognizance.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;

/**
 * 高企培育ListBo
 */
public class CultivationListBo {
	private String uid;
	
	private Integer province;
	
	private String unitName;
	
	private Integer cogContacts;
	
	private String certificateNumber;
	
	private Date issuingDate;
	
	private String consultant;
	
	private String techPrincipal;

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public Integer getProvince() {
		return province;
	}

	public void setProvince(Integer province) {
		this.province = province;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public Integer getCogContacts() {
		return cogContacts;
	}

	public void setCogContacts(Integer cogContacts) {
		this.cogContacts = cogContacts;
	}

	public String getCertificateNumber() {
		return certificateNumber;
	}

	public void setCertificateNumber(String certificateNumber) {
		this.certificateNumber = certificateNumber;
	}


	public Date getIssuingDate() {
		return issuingDate;
	}

	public void setIssuingDate(Date issuingDate) {
		this.issuingDate = issuingDate;
	}

	public String getConsultant() {
		return consultant;
	}

	public void setConsultant(String consultant) {
		this.consultant = consultant;
	}
	
	public String getTechPrincipal() {
		return techPrincipal;
	}

	public void setTechPrincipal(String techPrincipal) {
		this.techPrincipal = techPrincipal;
	}

	//高企认定时间
	public String getIssuingDateFormattedDate(){
		if (this.issuingDate == null) {
			 return null;
		   } else {
			 return DateFormatUtils.format(this.getIssuingDate(), AFTConstants.YYYYMMDDHHMMSS);
		   }
	}
		
	public void setIssuingDateFormattedDate(String issuingDateFormattedDate){
			
	}
}
